> For the complete documentation index, see [llms.txt](https://docs.birdie.so/birdie-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.birdie.so/birdie-docs/birdie-api/reference/api-reference/list-recordings.md).

# List Recordings

## Retrieve a list of videos

> Returns a paginated list of video objects. Optional filters include: ticket, email, and a custom metadata filter using param and value.

```json
{"openapi":"3.1.1","info":{"title":"Birdie API","version":"1.0.0"},"servers":[{"url":"https://app.birdie.so/api/v1"}],"paths":{"/videos":{"get":{"summary":"Retrieve a list of videos","description":"Returns a paginated list of video objects. Optional filters include: ticket, email, and a custom metadata filter using param and value.","operationId":"getVideos","parameters":[{"schema":{"type":"string"},"name":"ticket","in":"query","description":"Filter videos by ticket id.","required":false},{"schema":{"type":"string"},"name":"email","in":"query","description":"Filter videos by customer email (recorded_by).","required":false},{"schema":{"type":"string"},"name":"param","in":"query","description":"Filter videos by metadata key (only when you added those params with the recording link type /urec/helpdesk?param=value). For example, use param=firstname to filter by the firstname metadata.","required":false},{"schema":{"type":"string"},"name":"value","in":"query","description":"The value for the metadata filter specified in param. For example, value=john.","required":false},{"schema":{"type":"string"},"name":"Authorization","in":"header","description":"Bearer authentication header of the form Bearer <token>.","required":true}],"responses":{"200":{"description":"A paginated list of video objects.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"way":{"type":"string"},"recorded_by":{"type":["string","null"]},"requested_by":{"type":["string","null"]},"bytes":{"type":"integer"},"title":{"type":["string","null"]},"console_logs":{"type":["string","null"]},"created_at":{"type":"string","format":"date-time"},"duration":{"type":"integer"},"network_logs":{"type":["string","null"]},"processing_status":{"type":"string"},"request_link":{"type":"string","format":"uri"},"sharing_link":{"type":"string","format":"uri"},"thumbnail_file":{"type":"string","format":"uri"},"transcription":{"oneOf":[{"type":"object","properties":{"status":{"type":"string"},"language":{"type":"string"},"summary":{"type":"string"},"transcript":{"type":"string"},"raw_file":{"type":"string"}}},{"type":"null"}]},"uuid":{"type":"string"},"video_file":{"type":"string","format":"uri"},"origin":{"type":"string"},"ticket":{"type":"string"},"params":{"type":"object","additionalProperties":{"type":"string"}}}}},"links":{"type":"object","properties":{"first":{"type":"string","format":"uri"},"last":{"type":["string","null"],"format":"uri"},"prev":{"type":["string","null"],"format":"uri"},"next":{"type":["string","null"],"format":"uri"}}},"meta":{"type":"object","properties":{"current_page":{"type":"integer"},"from":{"type":"integer"},"path":{"type":"string","format":"uri"},"per_page":{"type":"integer"},"to":{"type":"integer"}}}}}}}}}}}}}
```

{% hint style="info" %}
Note: If you are using [Folders](broken://spaces/ECPgvsGwy5oMz4WIZw3a/pages/Gd80Df246mMo1997cFGP), videos placed in a secure folder won't appear in the results.
{% endhint %}
